% Condicions Normals:
Ae3 = '.\\Dades\\Condicions Normals\\jueves_11_34_20_Eq3.xls';
e3 = load (Ae3);
ANivells = '.\\Dades\\Condicions Normals\\jueves_11_34_20_Nivells.xls';
Nivells = load (ANivells);
AControls = '.\\Dades\\Condicions Normals\\jueves_11_34_20_Controls.xls';
Controls = load (AControls);

% Parametres generals del model
%-------------------------------------------------
Hi2 = Nivells(1:length(e3)-1,1); % Valor inicial de l'alada del tanc T2
Hi3 = Nivells(1:length(e3)-1,3); % Valor inicial de l'alada del tanc T3
CB3 = Controls(2:length(e3),1);  % Consigna bomba 3

%%%%%Formaci de dades%%%%%%
C   = e3(2:length(e3),2);
H2  = Nivells(2:length(e3),1);
H3  = Nivells(2:length(e3),3);

dH2 = (H2 - Hi2) / 1.2;
dH3 = (H3 - Hi3) / 1.2;

save DadesCondicionsNormals CB3 C H2 H3 dH2 dH3;
clear all;

% Valvula V10 Tancada:
Ae3 = '.\\Dades\\Valvula V10 Tancada\\jueves_12_05_21_Eq3.xls';
e3 = load (Ae3);
ANivells = '.\\Dades\\Valvula V10 Tancada\\jueves_12_05_21_Nivells.xls';
Nivells = load (ANivells);
AControls = '.\\Dades\\Valvula V10 Tancada\\jueves_12_05_21_Controls.xls';
Controls = load (AControls);

% Parametres generals del model
%-------------------------------------------------
Hi2 = Nivells(1:length(e3)-1,1); % Valor inicial de l'alada del tanc T2
Hi3 = Nivells(1:length(e3)-1,3); % Valor inicial de l'alada del tanc T3
CB3 = Controls(2:length(e3),1);  % Consigna bomba 3

%%%%%Formaci de dades%%%%%%
C   = e3(2:length(e3),2);
H2  = Nivells(2:length(e3),1);
H3  = Nivells(2:length(e3),3);

dH2 = (H2 - Hi2) / 1.2;
dH3 = (H3 - Hi3) / 1.2;

save DadesValvulaV10Tancada CB3 C H2 H3 dH2 dH3;
clear all;

% Valvula VR1 Obstruida:
Ae3 = '.\\Dades\\Valvula VR1 Obstruida\\jueves_12_11_53_Eq3.xls';
e3 = load (Ae3);
ANivells = '.\\Dades\\Valvula VR1 Obstruida\\jueves_12_11_53_Nivells.xls';
Nivells = load (ANivells);
AControls = '.\\Dades\\Valvula VR1 Obstruida\\jueves_12_11_53_Controls.xls';
Controls = load (AControls);

% Parametres generals del model
%-------------------------------------------------
Hi2 = Nivells(1:length(e3)-1,1); % Valor inicial de l'alada del tanc T2
Hi3 = Nivells(1:length(e3)-1,3); % Valor inicial de l'alada del tanc T3
CB3 = Controls(2:length(e3),1);  % Consigna bomba 3

%%%%%Formaci de dades%%%%%%
C   = e3(2:length(e3),2);
H2  = Nivells(2:length(e3),1);
H3  = Nivells(2:length(e3),3);

dH2 = (H2 - Hi2) / 1.2;
dH3 = (H3 - Hi3) / 1.2;

save DadesValvulaVR1Obstruida CB3 C H2 H3 dH2 dH3;
clear all;

% Fallada Sensor Nivell:
Ae3 = '.\\Dades\\Fallada Sensor Nivell\\jueves_11_34_20_Eq3.xls';
e3 = load (Ae3);
ANivells = '.\\Dades\\Fallada Sensor Nivell\\jueves_11_34_20_Nivells.xls';
Nivells = load (ANivells);
AControls = '.\\Dades\\Fallada Sensor Nivell\\jueves_11_34_20_Controls.xls';
Controls = load (AControls);
Nivells(40:83,3) = Nivells(40:83,3) * 1.30;

% Parametres generals del model
%-------------------------------------------------
Hi2 = Nivells(1:length(e3)-1,1); % Valor inicial de l'alada del tanc T2
Hi3 = Nivells(1:length(e3)-1,3); % Valor inicial de l'alada del tanc T3
CB3 = Controls(2:length(e3),1);  % Consigna bomba 3

%%%%%Formaci de dades%%%%%%
C   = e3(2:length(e3),2);
H2  = Nivells(2:length(e3),1);
H3  = Nivells(2:length(e3),3);

dH2 = (H2 - Hi2) / 1.2;
dH3 = (H3 - Hi3) / 1.2;

save DadesFalladaSensorNivell CB3 C H2 H3 dH2 dH3;
clear all;

% Fallada Sensor Cabal:
Ae3 = '.\\Dades\\Fallada Sensor Cabal\\jueves_11_34_20_Eq3.xls';
e3 = load (Ae3);
ANivells = '.\\Dades\\Fallada Sensor Nivell\\jueves_11_34_20_Nivells.xls';
Nivells = load (ANivells);
AControls = '.\\Dades\\Fallada Sensor Nivell\\jueves_11_34_20_Controls.xls';
Controls = load (AControls);
e3(40:83,2) = e3(40:83,2) * 1.30;

% Parametres generals del model
%-------------------------------------------------
Hi2 = Nivells(1:length(e3)-1,1); % Valor inicial de l'alada del tanc T2
Hi3 = Nivells(1:length(e3)-1,3); % Valor inicial de l'alada del tanc T3
CB3 = Controls(2:length(e3),1);  % Consigna bomba 3

%%%%%Formaci de dades%%%%%%
C   = e3(2:length(e3),2);
H2  = Nivells(2:length(e3),1);
H3  = Nivells(2:length(e3),3);

dH2 = (H2 - Hi2) / 1.2;
dH3 = (H3 - Hi3) / 1.2;

save DadesFalladaSensorCabal CB3 C H2 H3 dH2 dH3;
clear all;

% ARR1:
ARR1 = C - (k1 * sqrt(H3 - 13)) - k2 * sqrt(H3 - H2) - A * dH3;
% ARR2:
ARR2 = (k1 * sqrt(H3 - 13)) - (k2 * sqrt(H3 - H2)) - (k3 * sqrt(H2)) - A * dH2;
% ARR3:
ARR3 = ((0.0031 * CB3.^2) + (0.0163 * CB3) + 17.612) - C;

LlindarSuperiorARR1 = 3 * std(ARR1) + mean(ARR1);
LlindarInferiorARR1 = -(3 * std(ARR1) - mean(ARR1));

LlindarSuperiorARR2 = 3 * std(ARR2) + mean(ARR2);
LlindarInferiorARR2 = -(3 * std(ARR2) - mean(ARR2));

LlindarSuperiorARR3 = 3 * std(ARR3) + mean(ARR3);
LlindarInferiorARR3 = -(3 * std(ARR3) - mean(ARR3));

save Llindars LlindarSuperiorARR1 LlindarSuperiorARR2 LlindarSuperiorARR3 LlindarInferiorARR1 LlindarInferiorARR2 LlindarInferiorARR3;
