load .\\Dades\\Llindars;

% Calcul de les ARRs
% ------------------

% Constants:
A = 332.5;
k1 = 6.19;
k2 = 4.93;
k3 = 8.72;

% ARR1:
ARR1 = C - (k1 * sqrt(H3 - 13)) - k2 * sqrt(H3 - H2) - A * dH3;
% ARR2:
ARR2 = (k1 * sqrt(H3 - 13)) - (k2 * sqrt(H3 - H2)) - (k3 * sqrt(H2)) - A * dH2;
% ARR3:
ARR3 = ((0.0031 * CB3.^2) + (0.0163 * CB3) + 17.612) - C;

% Representaci de les dades
% --------------------------

figure;
% ARR1 %
subplot(3,1,1), plot(ARR1);
% Llindars %
line([1,82],[LlindarSuperiorARR1,LlindarSuperiorARR1],'color','k','LineStyle','--');
line([1,82],[LlindarInferiorARR1,LlindarInferiorARR1],'color','k','LineStyle','--');

% rea Fallada %
% line([IniciFallada,FinalFallada],[max(ARR1)+1,max(ARR1)+1],'color','r','LineStyle','--');
% line([IniciFallada,FinalFallada],[min(ARR1)-1,min(ARR1)-1],'color','r','LineStyle','--');
% line([IniciFallada,IniciFallada],[min(ARR1)-1,max(ARR1)+1],'color','r','LineStyle','--');
% line([FinalFallada,FinalFallada],[min(ARR1)-1,max(ARR1)+1],'color','r','LineStyle','--');

% rea Recuperaci %
% line([IniciRecuperacio,FinalRecuperacio],[max(ARR1)+1,max(ARR1)+1],'color','g','LineStyle','--');
% line([IniciRecuperacio,FinalRecuperacio],[min(ARR1)-1,min(ARR1)-1],'color','g','LineStyle','--');
% line([IniciRecuperacio,IniciRecuperacio],[min(ARR1)-1,max(ARR1)+1],'color','g','LineStyle','--');
% line([FinalRecuperacio,FinalRecuperacio],[min(ARR1)-1,max(ARR1)+1],'color','g','LineStyle','--');

% ARR2 %
subplot(3,1,2), plot(ARR2);
% Llindars %
line([1,82],[LlindarSuperiorARR2,LlindarSuperiorARR2],'color','k','LineStyle','--');
line([1,82],[LlindarInferiorARR2,LlindarInferiorARR2],'color','k','LineStyle','--');

% rea Fallada %
% line([IniciFallada,FinalFallada],[max(ARR2)+1,max(ARR2)+1],'color','r','LineStyle','--');
% line([IniciFallada,FinalFallada],[min(ARR2)-1,min(ARR2)-1],'color','r','LineStyle','--');
% line([IniciFallada,IniciFallada],[min(ARR2)-1,max(ARR2)+1],'color','r','LineStyle','--');
% line([FinalFallada,FinalFallada],[min(ARR2)-1,max(ARR2)+1],'color','r','LineStyle','--');

% rea Recuperaci %
% line([IniciRecuperacio,FinalRecuperacio],[max(ARR2)+1,max(ARR2)+1],'color','g','LineStyle','--');
% line([IniciRecuperacio,FinalRecuperacio],[min(ARR2)-1,min(ARR2)-1],'color','g','LineStyle','--');
% line([IniciRecuperacio,IniciRecuperacio],[min(ARR2)-1,max(ARR2)+1],'color','g','LineStyle','--');
% line([FinalRecuperacio,FinalRecuperacio],[min(ARR2)-1,max(ARR2)+1],'color','g','LineStyle','--');

% ARR3 %
subplot(3,1,3), plot(ARR3);
% Llindars %
line([1,82],[LlindarSuperiorARR3,LlindarSuperiorARR3],'color','k','LineStyle','--');
line([1,82],[LlindarInferiorARR3,LlindarInferiorARR3],'color','k','LineStyle','--'); 

% rea Fallada %
% line([IniciFallada,FinalFallada],[max(ARR3)+1,max(ARR3)+1],'color','r','LineStyle','--');
% line([IniciFallada,FinalFallada],[min(ARR3)-1,min(ARR3)-1],'color','r','LineStyle','--');
% line([IniciFallada,IniciFallada],[min(ARR3)-1,max(ARR3)+1],'color','r','LineStyle','--');
% line([FinalFallada,FinalFallada],[min(ARR3)-1,max(ARR3)+1],'color','r','LineStyle','--');

% rea Recuperaci %
% line([IniciRecuperacio,FinalRecuperacio],[max(ARR3)+1,max(ARR3)+1],'color','g','LineStyle','--');
% line([IniciRecuperacio,FinalRecuperacio],[min(ARR3)-1,min(ARR3)-1],'color','g','LineStyle','--');
% line([IniciRecuperacio,IniciRecuperacio],[min(ARR3)-1,max(ARR3)+1],'color','g','LineStyle','--');
% line([FinalRecuperacio,FinalRecuperacio],[min(ARR3)-1,max(ARR3)+1],'color','g','LineStyle','--');
